# Chapter 15: Using i2p

There are alternatives to Tor. One is the Invisible Internet Project (I2P), a fully encrypted private network layer. It uses a distributed [network database](https://geti2p.net/en/docs/how/network-database) and encrypted unidirectional tunnels between peers. The biggest difference between Tor and i2P is that Tor is fundamentally a proxy network that offers internet services in a private form, while i2p is fundamentally a sequestered network that offers i2p services only to the i2p network, creating a "network within a network".

i2p is not currently installed by [Bitcoin Standup](https://github.com/BlockchainCommons/Bitcoin-Standup-Scripts), as i2p support was recently added in Bitcoin Core. However, this chapter explains how to manually install it.

## Objectives for This Chapter

After working through this chapter, a developer will be able to:

  * Run Bitcoin Core as an i2p (Invisible Internet Project) service

Supporting objectives include the ability to:

  * Understand the i2p Network
  * Learn the difference between Tor and i2p

## Table of Contents

* [Section One: Bitcoin Core as an I2P (Invisible Internet Project) service](15_1_i2p_service.md)
